
from django.urls import path

from . import views
from .views import api_lista_artistas, api_detalle_artista
from .views import api_lista_albumes, api_detalle_album
from .views import api_lista_canciones, api_detalle_cancion

app_name = 'lyrics'

urlpatterns = [
    path('', views.principal, name='principal'),
    path('artistas/', views.lista_artistas, name='lista_artistas'),
    path('artistas/nuevo/', views.nuevo_artista, name='nuevo_artista'),
    path('artistas/<int:artista_id>/', views.detalle_artista, name='detalle_artista'),
    path('artistas/<int:artista_id>/editar/', views.editar_artista, name='editar_artista'),
    path('artistas/<int:artista_id>/eliminar/', views.eliminar_artista, name='eliminar_artista'),

    path('album/', views.lista_albumes, name='lista_albumes'),
    path('album/nuevo/', views.nuevo_album, name='nuevo_album'),
    path('album/<int:album_id>/', views.detalle_album, name='detalle_album'),
    path('album/<int:album_id>/editar/', views.editar_album, name='editar_album'),
    path('album/<int:album_id>/eliminar/', views.eliminar_album, name='eliminar_album'),

    path('song/', views.lista_songs, name='lista_songs'),
    path('song/nuevo/', views.nuevo_song, name='nuevo_song'),
    path('song/<int:song_id>/', views.detalle_song, name='detalle_song'),
    path('song/<int:song_id>/editar/', views.editar_song, name='editar_song'),
    path('song/<int:song_id>/eliminar/', views.eliminar_song, name='eliminar_song'),

    path('api/artistas/', api_lista_artistas, name='api_lista_artistas'),
    path('api/artistas/<int:artista_id>/', api_detalle_artista, name='api_detalle_artista'),

    path('api/albumes/', api_lista_albumes, name='api_lista_albumes'),
    path('api/albumes/<int:album_id>/', api_detalle_album, name='api_detalle_album'),

    path('api/canciones/', api_lista_canciones, name='api_lista_canciones'),
    path('api/canciones/<int:cancion_id>/', api_detalle_cancion, name='api_detalle_cancion'),
]
